Get task by ID
curl --request GET \
--url https://api.stardex.ai/v1/tasks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stardex.ai/v1/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stardex.ai/v1/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "aaa11111-bbbb-cccc-dddd-eeeeeeee1111",
"content_text": "Follow up with candidate about interview availability",
"task_type": "text",
"due_date": "2024-02-15T17:00:00Z",
"is_completed": false,
"person_id": "123e4567-e89b-12d3-a456-426614174000",
"deal_id": "234e5678-e90a-12b3-c456-789012345678",
"client_id": "345e6789-e01b-23c4-d567-890123456789",
"job_id": "456e7890-e12b-34d5-a678-901234567890",
"created_at": "2024-02-01T10:00:00Z",
"updated_at": "2024-02-01T10:00:00Z",
"owners": [
{
"id": "567e8901-e23c-45d6-e789-012345678901",
"first_name": "Jane",
"last_name": "Smith"
}
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Tasks
Get task by ID
Retrieve a single task by its UUID, including owner information.
GET
/
v1
/
tasks
/
{id}
Get task by ID
Was this page helpful?
⌘I